Returns a single project by its unique identifier.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/projects/{projectId} \
--header 'Authorization: Bearer <token>'{
"name": "Acme corp",
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"organizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironments": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"environmentName": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of project
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Project response
Project display name
"Acme corp"
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
List of environments (live and sandbox) belonging to this project
Show child attributes
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/projects/{projectId} \
--header 'Authorization: Bearer <token>'{
"name": "Acme corp",
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"organizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironments": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"environmentName": "<string>"
}
]
}